kind: pipeline
type: docker
name: default

steps:
- name: Build
  image: golang
  commands:
  - go get github.com/bwmarrin/discordgo
  - go get github.com/rudi9719/loggy
  - go get github.com/gorilla/mux
  - go get github.com/gorilla/sessions
  - go vet -v
  - go build
- name: gitea_release
  image: plugins/gitea-release
  settings:
    base_url: https://git.nightmare.haus
    api_key:
      from_secret: gitea_token
    files: ./disgord-Thanos
    checksum:
      - md5
      - sha1
      - sha256
      - sha512
      - adler32
      - crc32  
  when:
    event: tag
